Mandrake Linux Security Advisory : flac (MDKSA-2007:214)

High Nessus Plugin ID 27850

Synopsis

The remote Mandrake Linux host is missing one or more security updates.

Description

A security vulnerability was discovered in how flac processed audio data. An attacker could create a carefully crafted FLAC audio file that could cause an application linked against the flac libraries to crash or execute arbitrary code when opened.

Updated packages have been patched to prevent this issue.

Solution

Update the affected packages.

Plugin Details

Severity: High

ID: 27850

File Name: mandrake_MDKSA-2007-214.nasl

Version: 1.14

Type: local

Published: 2007/11/09

Updated: 2018/07/19

Dependencies: 12634

Risk Information

Risk Factor: High

CVSS v2.0

Base Score: 9.3

Temporal Score: 8.1

Vector: CVSS2#AV:N/AC:M/Au:N/C:C/I:C/A:C

Temporal Vector: CVSS2#E:ND/RL:OF/RC:C

Vulnerability Information

CPE: p-cpe:/a:mandriva:linux:flac, p-cpe:/a:mandriva:linux:lib64flac++-devel, p-cpe:/a:mandriva:linux:lib64flac++5, p-cpe:/a:mandriva:linux:lib64flac++5-devel, p-cpe:/a:mandriva:linux:lib64flac++6, p-cpe:/a:mandriva:linux:lib64flac++6-devel, p-cpe:/a:mandriva:linux:lib64flac-devel, p-cpe:/a:mandriva:linux:lib64flac7, p-cpe:/a:mandriva:linux:lib64flac7-devel, p-cpe:/a:mandriva:linux:lib64flac8, p-cpe:/a:mandriva:linux:lib64flac8-devel, p-cpe:/a:mandriva:linux:lib64oggflac++2, p-cpe:/a:mandriva:linux:lib64oggflac++2-devel, p-cpe:/a:mandriva:linux:lib64oggflac3, p-cpe:/a:mandriva:linux:lib64oggflac3-devel, p-cpe:/a:mandriva:linux:libflac++-devel, p-cpe:/a:mandriva:linux:libflac++5, p-cpe:/a:mandriva:linux:libflac++5-devel, p-cpe:/a:mandriva:linux:libflac++6, p-cpe:/a:mandriva:linux:libflac++6-devel, p-cpe:/a:mandriva:linux:libflac-devel, p-cpe:/a:mandriva:linux:libflac7, p-cpe:/a:mandriva:linux:libflac7-devel, p-cpe:/a:mandriva:linux:libflac8, p-cpe:/a:mandriva:linux:libflac8-devel, p-cpe:/a:mandriva:linux:liboggflac++2, p-cpe:/a:mandriva:linux:liboggflac++2-devel, p-cpe:/a:mandriva:linux:liboggflac3, p-cpe:/a:mandriva:linux:liboggflac3-devel, cpe:/o:mandriva:linux:2007, cpe:/o:mandriva:linux:2007.1, cpe:/o:mandriva:linux:2008.0

Required KB Items: Host/local_checks_enabled, Host/cpu, Host/Mandrake/release, Host/Mandrake/rpm-list

Exploit Available: false

Exploit Ease: No known exploits are available

Patch Publication Date: 2007/11/08

Reference Information

CVE: CVE-2007-4619

BID: 26042

MDKSA: 2007:214

CWE: 189